Update a brand link

put
Path parameters
domainIdstringRequired

The id of the domain..

brandLinkIdstringRequired

The id of the brand link.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used to create, update for the brand link.

parentBrandLinkIdstring · nullableOptional

The parent brand link id. If this is null, it means the link is a node link.

codestring · nullableOptional

The code of the brand link.

namestring · min: 1Required

The name.

typestring · enumOptional

Provides all the types of BrandLink.

Possible values:
stylesstring · nullableOptional

The styles of the link.

iconUrlstring · uri · nullableOptional

The icon url.

linkstring · nullableOptional

The reference link. Clicking the link redirects to the specified URL. To use a local path, provide a relative path in the format: /path/to/your/page.

zOrderinteger · int32 · nullableOptional

The z-order numer of the link. If this is not provided, we will be checking the max z-order of the parent link and increment by 1.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
descriptionstring · nullableOptional

The description.

Responses
put
/api/v1/domains/{domainId}/links/{brandLinkId}

Last updated